summaryrefslogtreecommitdiffstats
path: root/games/gbrainy
diff options
context:
space:
mode:
Diffstat (limited to 'games/gbrainy')
-rw-r--r--games/gbrainy/README20
-rw-r--r--games/gbrainy/doinst.sh10
-rw-r--r--games/gbrainy/gbrainy.SlackBuild107
-rw-r--r--games/gbrainy/gbrainy.info10
-rw-r--r--games/gbrainy/preassign-an-automatically-implemented-property.patch11
-rw-r--r--games/gbrainy/slack-desc19
6 files changed, 177 insertions, 0 deletions
diff --git a/games/gbrainy/README b/games/gbrainy/README
new file mode 100644
index 0000000000..fa3d31fa8f
--- /dev/null
+++ b/games/gbrainy/README
@@ -0,0 +1,20 @@
+gbrainy is a brain teaser game and trainer to have fun and to keep
+your brain trained.
+
+gbrainy provides different difficulty levels making gbrainy enjoyable
+for kids, adults, or senior citizens. It also features player's game
+history, player's personal records, tips for the player, or fullscreen
+mode. gbrainy can be also extended easily with new games developed by
+third parties.
+
+It provides the following types of games:
+
+ * Logic puzzles. Games designed to challenge your reasoning and
+ thinking skills.
+ * Mental calculation. Games based on arithmetical operations designed
+ to prove your mental calculation skills.
+ * Memory trainers. Games designed to challenge your short term
+ memory.
+ * Verbal analogies. Games that challenge your verbal aptitude.
+
+This requires gnome-sharp and mono-addins.
diff --git a/games/gbrainy/doinst.sh b/games/gbrainy/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/games/gbrainy/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/gbrainy/gbrainy.SlackBuild b/games/gbrainy/gbrainy.SlackBuild
new file mode 100644
index 0000000000..0f6ac3ba30
--- /dev/null
+++ b/games/gbrainy/gbrainy.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for gbrainy
+
+# Copyright 2011 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gbrainy
+VERSION=${VERSION:-1.61}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply a patch
+patch -p1 < $CWD/preassign-an-automatically-implemented-property.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gbrainy/gbrainy.info b/games/gbrainy/gbrainy.info
new file mode 100644
index 0000000000..ae456c6d5b
--- /dev/null
+++ b/games/gbrainy/gbrainy.info
@@ -0,0 +1,10 @@
+PRGNAM="gbrainy"
+VERSION="1.61"
+HOMEPAGE="http://live.gnome.org/gbrainy"
+DOWNLOAD="http://gent.softcatala.org/jmas/gbrainy/gbrainy-1.61.tar.gz"
+MD5SUM="59390c98d434841aef9490d18ed6e390"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="rworkman"
diff --git a/games/gbrainy/preassign-an-automatically-implemented-property.patch b/games/gbrainy/preassign-an-automatically-implemented-property.patch
new file mode 100644
index 0000000000..6be68f0bee
--- /dev/null
+++ b/games/gbrainy/preassign-an-automatically-implemented-property.patch
@@ -0,0 +1,11 @@
+--- gbrainy-1.61/src/Games/Logic/PuzzleExtraCircle.cs.orig 2011-01-06 22:38:23.000000000 +0700
++++ gbrainy-1.61/src/Games/Logic/PuzzleExtraCircle.cs 2011-01-18 18:47:30.000000000 +0700
+@@ -43,7 +43,7 @@
+ {
+ public Color [] Colors {get; set; }
+
+- public CircleParameters (Color [] colors)
++ public CircleParameters (Color [] colors) : this()
+ {
+ Colors = colors;
+ }
diff --git a/games/gbrainy/slack-desc b/games/gbrainy/slack-desc
new file mode 100644
index 0000000000..33321a2a12
--- /dev/null
+++ b/games/gbrainy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gbrainy: gbrainy (a brain teaser game and trainer)
+gbrainy:
+gbrainy: gbrainy is a brain teaser game and trainer to have fun and to keep
+gbrainy: your brain trained.
+gbrainy:
+gbrainy: Homepage: http://live.gnome.org/gbrainy
+gbrainy:
+gbrainy:
+gbrainy:
+gbrainy:
+gbrainy: